# Uses of Class
org.apache.lucene.index.CheckIndex.Status.TermIndexStatus

Packages that use CheckIndex.Status.TermIndexStatus
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of CheckIndex.Status.TermIndexStatus in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as CheckIndex.Status.TermIndexStatus
  Modifier and Type
  Field
  Description
  `CheckIndex.Status.TermIndexStatus`
  CheckIndex.Status.SegmentInfoStatus.`termIndexStatus`
  Status for testing of indexed terms (null if indexed terms could not be tested).
  Methods in org.apache.lucene.index that return CheckIndex.Status.TermIndexStatus
  Modifier and Type
  Method
  Description
  `static CheckIndex.Status.TermIndexStatus`
  CheckIndex.`testPostings(CodecReader reader, PrintStream infoStream)`
  Test the term index.
  `static CheckIndex.Status.TermIndexStatus`
  CheckIndex.`testPostings(CodecReader reader, PrintStream infoStream, boolean verbose, int level, boolean failFast)`
  Test the term index.